Bug 1121639 - [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Summary: [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3e8db0308e179332412bfc3403a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 12:42 UTC by Lukas Zachar
Modified: 2014-12-01 15:47 UTC (History)
4 users (show)

Fixed In Version: xorg-x11-drv-intel-2.21.15-9.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-22 12:43:17 UTC


Attachments (Terms of Use)
File: backtrace (10.66 KB, text/plain)
2014-07-21 12:42 UTC, Lukas Zachar
no flags Details
File: cgroup (162 bytes, text/plain)
2014-07-21 12:42 UTC, Lukas Zachar
no flags Details
File: core_backtrace (3.86 KB, text/plain)
2014-07-21 12:42 UTC, Lukas Zachar
no flags Details
File: dso_list (5.25 KB, text/plain)
2014-07-21 12:42 UTC, Lukas Zachar
no flags Details
File: environ (84 bytes, text/plain)
2014-07-21 12:42 UTC, Lukas Zachar
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-21 12:42 UTC, Lukas Zachar
no flags Details
File: maps (62.11 KB, text/plain)
2014-07-21 12:42 UTC, Lukas Zachar
no flags Details
File: proc_pid_status (909 bytes, text/plain)
2014-07-21 12:42 UTC, Lukas Zachar
no flags Details
File: var_log_messages (932 bytes, text/plain)
2014-07-21 12:42 UTC, Lukas Zachar
no flags Details

Description Lukas Zachar 2014-07-21 12:42:28 UTC
Description of problem:
1. set up multi-monitor workstation (airlied's kernel)
2. undock laptop

Happens every time.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.14.4-11.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -background none -verbose -auth /run/gdm/auth-for-gdm-mvmuB3/database -seat seat0 -nolisten tcp vt1
executable:     /usr/bin/Xorg
kernel:         3.15.5-200.mst.fc20.x86_64
open_fds:       
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (6 frames)
 #9 intel_output_dpms at intel_display.c:1115
 #10 xf86DisableUnusedFunctions at xf86Crtc.c:2952
 #11 xf86RandR12CrtcSet at xf86RandR12.c:1245
 #12 RRCrtcSet at rrcrtc.c:567
 #13 ProcRRSetCrtcConfig at rrcrtc.c:1167
 #14 Dispatch at dispatch.c:432

Comment 1 Lukas Zachar 2014-07-21 12:42:31 UTC
Created attachment 919621 [details]
File: backtrace

Comment 2 Lukas Zachar 2014-07-21 12:42:33 UTC
Created attachment 919622 [details]
File: cgroup

Comment 3 Lukas Zachar 2014-07-21 12:42:34 UTC
Created attachment 919623 [details]
File: core_backtrace

Comment 4 Lukas Zachar 2014-07-21 12:42:35 UTC
Created attachment 919624 [details]
File: dso_list

Comment 5 Lukas Zachar 2014-07-21 12:42:37 UTC
Created attachment 919625 [details]
File: environ

Comment 6 Lukas Zachar 2014-07-21 12:42:38 UTC
Created attachment 919626 [details]
File: limits

Comment 7 Lukas Zachar 2014-07-21 12:42:42 UTC
Created attachment 919627 [details]
File: maps

Comment 8 Lukas Zachar 2014-07-21 12:42:43 UTC
Created attachment 919628 [details]
File: proc_pid_status

Comment 9 Lukas Zachar 2014-07-21 12:42:44 UTC
Created attachment 919629 [details]
File: var_log_messages

Comment 10 Lukas Zachar 2014-07-21 14:24:05 UTC
HW is Lenovo T440s + Ultradock. 
I am using kernel-3.14.9-200.mst1.fc20.x86_64 .

Please let me know if there is any other log I should provide.

Comment 11 Lukas Zachar 2014-07-21 14:24:53 UTC
Sorry, kernel is 3.15.5-200.mst.fc20.x86_64

Comment 12 Fedora Update System 2014-11-18 21:43:19 UTC
xorg-x11-drv-intel-2.21.15-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xorg-x11-drv-intel-2.21.15-9.fc20

Comment 13 Fedora Update System 2014-11-19 15:58:08 UTC
Package xorg-x11-drv-intel-2.21.15-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-drv-intel-2.21.15-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15384/xorg-x11-drv-intel-2.21.15-9.fc20
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-11-22 12:43:17 UTC
xorg-x11-drv-intel-2.21.15-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.